Index: TibisayMovil/AndroidManifest.xml
===================================================================
--- TibisayMovil/AndroidManifest.xml	(revision 6638d339b870a0a8e9791060f54626869cd3e2c1)
+++ TibisayMovil/AndroidManifest.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -63,5 +63,5 @@
                 <data android:pathPattern=".*\\..*\\.bdoc" />
             </intent-filter>
-<!--             
+            <!--
             <intent-filter>
                 <action android:name="android.intent.action.VIEW" />
@@ -84,5 +84,5 @@
                 <data android:pathPattern=".*\\..*\\.bdoc" />
             </intent-filter>
- -->
+            -->
         </activity>
         <activity
@@ -97,5 +97,4 @@
             android:name="ve.gob.cenditel.tibisaymovil.DownloaderActivity"
             android:label="@string/title_activity_downloader" >
-            
             <intent-filter>
                 <action android:name="android.intent.action.VIEW" />
@@ -118,5 +117,4 @@
                 <data android:pathPattern=".*\\..*\\.bdoc" />
             </intent-filter>
-            
             <intent-filter>
                 <action android:name="android.intent.action.VIEW" />
@@ -139,5 +137,8 @@
                 <data android:pathPattern=".*\\..*\\.bdoc" />
             </intent-filter>
-            
+        </activity>
+        <activity
+            android:name="ve.gob.cenditel.tibisaymovil.FileToShareActivity"
+            android:label="@string/title_activity_file_to_share" >
         </activity>
     </application>
Index: TibisayMovil/gen/net/neiti/droidtext/R.java
===================================================================
--- TibisayMovil/gen/net/neiti/droidtext/R.java	(revision 6638d339b870a0a8e9791060f54626869cd3e2c1)
+++ TibisayMovil/gen/net/neiti/droidtext/R.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -12,9 +12,9 @@
 	}
 	public static final class id {
-		public static final int button = 0x7f0b0055;
-		public static final int text = 0x7f0b0056;
+		public static final int button = 0x7f0b0056;
+		public static final int text = 0x7f0b0057;
 	}
 	public static final class layout {
-		public static final int main = 0x7f030017;
+		public static final int main = 0x7f030018;
 	}
 	public static final class string {
Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 6638d339b870a0a8e9791060f54626869cd3e2c1)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -107,12 +107,12 @@
     }
     public static final class id {
-        public static final int ImageView01=0x7f0b0058;
-        public static final int action_settings=0x7f0b0059;
-        public static final int archivo_firmado=0x7f0b002f;
-        public static final int archivo_firmado_path=0x7f0b0030;
-        public static final int archivo_para_firmar=0x7f0b002b;
-        public static final int archivo_para_firmar_path=0x7f0b002c;
-        public static final int arrow_show_errors=0x7f0b003f;
-        public static final int button=0x7f0b0055;
+        public static final int ImageView01=0x7f0b0059;
+        public static final int action_settings=0x7f0b005a;
+        public static final int archivo_firmado=0x7f0b0030;
+        public static final int archivo_firmado_path=0x7f0b0031;
+        public static final int archivo_para_firmar=0x7f0b002c;
+        public static final int archivo_para_firmar_path=0x7f0b002d;
+        public static final int arrow_show_errors=0x7f0b0040;
+        public static final int button=0x7f0b0056;
         public static final int button_accept=0x7f0b0007;
         public static final int button_accept_text=0x7f0b0008;
@@ -125,36 +125,36 @@
         public static final int button_clear_text=0x7f0b0005;
         public static final int button_clear_zone=0x7f0b0003;
-        public static final int button_delete=0x7f0b0045;
+        public static final int button_delete=0x7f0b0046;
         public static final int button_finish=0x7f0b000a;
         public static final int button_finish_text=0x7f0b000b;
         public static final int button_finish_zone=0x7f0b0009;
-        public static final int button_open=0x7f0b0046;
+        public static final int button_open=0x7f0b0047;
         public static final int button_share=0x7f0b000d;
         public static final int button_share_text=0x7f0b000e;
         public static final int button_share_zone=0x7f0b000c;
-        public static final int cert_chooser=0x7f0b004a;
-        public static final int cert_chooser_install_button=0x7f0b0044;
-        public static final int cert_description=0x7f0b0049;
-        public static final int certificate_issuer=0x7f0b003e;
-        public static final int certificate_serial=0x7f0b0039;
+        public static final int cert_chooser=0x7f0b004b;
+        public static final int cert_chooser_install_button=0x7f0b0045;
+        public static final int cert_description=0x7f0b004a;
+        public static final int certificate_issuer=0x7f0b003f;
+        public static final int certificate_serial=0x7f0b003a;
         public static final int certificate_valid_from=0x7f0b0011;
-        public static final int certificate_valid_until=0x7f0b003c;
-        public static final int change_password=0x7f0b0047;
-        public static final int documents_list=0x7f0b0040;
-        public static final int file_checkbox=0x7f0b004c;
+        public static final int certificate_valid_until=0x7f0b003d;
+        public static final int change_password=0x7f0b0048;
+        public static final int documents_list=0x7f0b0041;
+        public static final int file_checkbox=0x7f0b004d;
         public static final int file_list=0x7f0b0019;
-        public static final int file_radio=0x7f0b0052;
-        public static final int filename_data=0x7f0b004b;
-        public static final int filename_modified=0x7f0b004d;
-        public static final int filename_text=0x7f0b0043;
-        public static final int generalView=0x7f0b0048;
-        public static final int imageListMainMenu=0x7f0b0053;
-        public static final int imagen_utilizada=0x7f0b002d;
-        public static final int imagen_utlizada_name=0x7f0b002e;
-        public static final int label_certificate_issuer=0x7f0b003d;
-        public static final int label_certificate_serial=0x7f0b0038;
-        public static final int label_certificate_valid_from=0x7f0b003a;
-        public static final int label_certificate_valid_until=0x7f0b003b;
-        public static final int layoutSignatureErrors=0x7f0b0033;
+        public static final int file_radio=0x7f0b0053;
+        public static final int filename_data=0x7f0b004c;
+        public static final int filename_modified=0x7f0b004e;
+        public static final int filename_text=0x7f0b0044;
+        public static final int generalView=0x7f0b0049;
+        public static final int imageListMainMenu=0x7f0b0054;
+        public static final int imagen_utilizada=0x7f0b002e;
+        public static final int imagen_utlizada_name=0x7f0b002f;
+        public static final int label_certificate_issuer=0x7f0b003e;
+        public static final int label_certificate_serial=0x7f0b0039;
+        public static final int label_certificate_valid_from=0x7f0b003b;
+        public static final int label_certificate_valid_until=0x7f0b003c;
+        public static final int layoutSignatureErrors=0x7f0b0034;
         public static final int linearLayout=0x7f0b0013;
         public static final int linearLayout1=0x7f0b000f;
@@ -162,39 +162,40 @@
         public static final int linearSpacingBottom=0x7f0b0014;
         public static final int linearSpacingTop=0x7f0b0010;
-        public static final int listViewErrors=0x7f0b0032;
-        public static final int listViewFunctions=0x7f0b001a;
-        public static final int page_container=0x7f0b0029;
-        public static final int pages_spinner=0x7f0b002a;
+        public static final int listViewErrors=0x7f0b0033;
+        public static final int listViewFunctions=0x7f0b001b;
+        public static final int page_container=0x7f0b002a;
+        public static final int pages_spinner=0x7f0b002b;
         public static final int path=0x7f0b0018;
         public static final int pathstring=0x7f0b0017;
-        public static final int sel_sign_rel_layout=0x7f0b001b;
-        public static final int sign_description=0x7f0b0016;
-        public static final int signature_date=0x7f0b001c;
-        public static final int signature_errors=0x7f0b0051;
-        public static final int signature_errors_text=0x7f0b0034;
-        public static final int signature_icon=0x7f0b004f;
-        public static final int signatures_list=0x7f0b0041;
-        public static final int signer_data=0x7f0b004e;
-        public static final int signer_detail_errors=0x7f0b0035;
-        public static final int signer_info=0x7f0b0050;
-        public static final int tableRow1=0x7f0b001d;
-        public static final int tableRow2=0x7f0b0021;
-        public static final int tableRow3=0x7f0b0025;
-        public static final int text=0x7f0b0056;
-        public static final int textListMainMenu=0x7f0b0054;
-        public static final int textView11=0x7f0b001e;
-        public static final int textView12=0x7f0b001f;
-        public static final int textView13=0x7f0b0020;
-        public static final int textView21=0x7f0b0022;
-        public static final int textView22=0x7f0b0023;
-        public static final int textView23=0x7f0b0024;
-        public static final int textView31=0x7f0b0026;
-        public static final int textView32=0x7f0b0027;
-        public static final int textView33=0x7f0b0028;
-        public static final int the_button=0x7f0b0057;
-        public static final int title_certificate_info=0x7f0b0037;
-        public static final int title_signature_date_info=0x7f0b0036;
-        public static final int title_signature_errors=0x7f0b0031;
-        public static final int type_image=0x7f0b0042;
+        public static final int sel_sign_rel_layout=0x7f0b001c;
+        public static final int share_description=0x7f0b0016;
+        public static final int sign_description=0x7f0b001a;
+        public static final int signature_date=0x7f0b001d;
+        public static final int signature_errors=0x7f0b0052;
+        public static final int signature_errors_text=0x7f0b0035;
+        public static final int signature_icon=0x7f0b0050;
+        public static final int signatures_list=0x7f0b0042;
+        public static final int signer_data=0x7f0b004f;
+        public static final int signer_detail_errors=0x7f0b0036;
+        public static final int signer_info=0x7f0b0051;
+        public static final int tableRow1=0x7f0b001e;
+        public static final int tableRow2=0x7f0b0022;
+        public static final int tableRow3=0x7f0b0026;
+        public static final int text=0x7f0b0057;
+        public static final int textListMainMenu=0x7f0b0055;
+        public static final int textView11=0x7f0b001f;
+        public static final int textView12=0x7f0b0020;
+        public static final int textView13=0x7f0b0021;
+        public static final int textView21=0x7f0b0023;
+        public static final int textView22=0x7f0b0024;
+        public static final int textView23=0x7f0b0025;
+        public static final int textView31=0x7f0b0027;
+        public static final int textView32=0x7f0b0028;
+        public static final int textView33=0x7f0b0029;
+        public static final int the_button=0x7f0b0058;
+        public static final int title_certificate_info=0x7f0b0038;
+        public static final int title_signature_date_info=0x7f0b0037;
+        public static final int title_signature_errors=0x7f0b0032;
+        public static final int type_image=0x7f0b0043;
     }
     public static final class layout {
@@ -206,25 +207,26 @@
         public static final int activity_capture_img_handwritten_signature=0x7f030005;
         public static final int activity_downloader=0x7f030006;
-        public static final int activity_file_to_sign_handwritten_signature=0x7f030007;
-        public static final int activity_file_to_verify_bdoc=0x7f030008;
-        public static final int activity_main=0x7f030009;
-        public static final int activity_select_sign_ubication_handwritten_signature=0x7f03000a;
-        public static final int activity_sign_result_handwritten_signature=0x7f03000b;
-        public static final int activity_signature_errors=0x7f03000c;
-        public static final int activity_signer_info=0x7f03000d;
-        public static final int activity_verify_result_bdoc=0x7f03000e;
-        public static final int cert_browser_item=0x7f03000f;
-        public static final int certificate_buttons=0x7f030010;
-        public static final int certificate_chooser=0x7f030011;
-        public static final int document_inside_bdoc_item=0x7f030012;
-        public static final int error_inside_signature_item=0x7f030013;
-        public static final int file_to_sign_handwritten_signature_item=0x7f030014;
-        public static final int file_to_verify_bdoc_signature_item=0x7f030015;
-        public static final int list_item=0x7f030016;
-        public static final int main=0x7f030017;
-        public static final int progress_dialog=0x7f030018;
-        public static final int signer_inside_bdoc_item=0x7f030019;
-        public static final int single_file_browser=0x7f03001a;
-        public static final int title_bar=0x7f03001b;
+        public static final int activity_file_to_share=0x7f030007;
+        public static final int activity_file_to_sign_handwritten_signature=0x7f030008;
+        public static final int activity_file_to_verify_bdoc=0x7f030009;
+        public static final int activity_main=0x7f03000a;
+        public static final int activity_select_sign_ubication_handwritten_signature=0x7f03000b;
+        public static final int activity_sign_result_handwritten_signature=0x7f03000c;
+        public static final int activity_signature_errors=0x7f03000d;
+        public static final int activity_signer_info=0x7f03000e;
+        public static final int activity_verify_result_bdoc=0x7f03000f;
+        public static final int cert_browser_item=0x7f030010;
+        public static final int certificate_buttons=0x7f030011;
+        public static final int certificate_chooser=0x7f030012;
+        public static final int document_inside_bdoc_item=0x7f030013;
+        public static final int error_inside_signature_item=0x7f030014;
+        public static final int file_to_sign_handwritten_signature_item=0x7f030015;
+        public static final int file_to_verify_bdoc_signature_item=0x7f030016;
+        public static final int list_item=0x7f030017;
+        public static final int main=0x7f030018;
+        public static final int progress_dialog=0x7f030019;
+        public static final int signer_inside_bdoc_item=0x7f03001a;
+        public static final int single_file_browser=0x7f03001b;
+        public static final int title_bar=0x7f03001c;
     }
     public static final class menu {
@@ -233,6 +235,7 @@
         public static final int bdocverify_result=0x7f0a0002;
         public static final int downloader=0x7f0a0003;
-        public static final int main=0x7f0a0004;
-        public static final int tibisay_movil=0x7f0a0005;
+        public static final int file_to_share=0x7f0a0004;
+        public static final int main=0x7f0a0005;
+        public static final int tibisay_movil=0x7f0a0006;
     }
     public static final class plurals {
@@ -320,5 +323,9 @@
         public static final int selectall=0x7f05001d;
         public static final int selectcertificatedescription=0x7f05001a;
+        public static final int share_bdoc_downloaded=0x7f05005d;
+        public static final int share_description=0x7f050060;
+        public static final int share_extracted_file_from_bdoc=0x7f05005e;
         public static final int share_it_using=0x7f05004d;
+        public static final int share_pdf_signed=0x7f05005c;
         public static final int signature_date_info=0x7f05004f;
         public static final int signature_directory=0x7f050008;
@@ -330,4 +337,5 @@
         public static final int title_activity_bdocverify_result=0x7f050049;
         public static final int title_activity_downloader=0x7f05005b;
+        public static final int title_activity_file_to_share=0x7f05005f;
         public static final int title_activity_tibisay_movil=0x7f05005a;
         public static final int title_certificate_info=0x7f050050;
Index: TibisayMovil/res/layout/activity_file_to_share.xml
===================================================================
--- TibisayMovil/res/layout/activity_file_to_share.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
+++ TibisayMovil/res/layout/activity_file_to_share.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="utf-8"?>
+<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    android:layout_width="match_parent"
+    android:layout_height="match_parent"
+    android:orientation="vertical" >
+ 
+    
+    
+    <TextView
+        android:id="@+id/share_description"
+        style="@style/style_description"
+        android:layout_width="fill_parent"
+        android:layout_height="wrap_content"
+        android:text="@string/share_description" />
+    
+    
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        android:paddingLeft="5dp"
+        android:orientation="horizontal"
+        style="@style/style_path_file_browser">
+    <TextView
+        android:id="@+id/pathstring"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content" 
+        style="@style/style_font_section" 
+        />
+       <TextView
+        android:id="@+id/path"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content" 
+        style="@style/style_font_section"
+        />
+    
+    </LinearLayout>
+
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="0dp"
+        android:layout_weight="0.40" >
+
+        <ListView
+            android:id="@+id/file_list"
+            android:layout_width="match_parent"
+            android:layout_height="match_parent"
+            android:choiceMode="singleChoice"
+  	 		style="@style/style_listviews"
+				  />         
+
+ 
+            
+    </LinearLayout>
+  
+   <LinearLayout 
+       
+        android:layout_width="match_parent"
+        android:layout_height="3dp"
+        android:background="#777777"></LinearLayout>
+  
+    <include
+        android:id="@+id/button_bar"
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        layout="@layout/actionbar_main" />
+
+</LinearLayout>
Index: TibisayMovil/res/menu/file_to_share.xml
===================================================================
--- TibisayMovil/res/menu/file_to_share.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
+++ TibisayMovil/res/menu/file_to_share.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -0,0 +1,9 @@
+<menu xmlns:android="http://schemas.android.com/apk/res/android" >
+
+    <item
+        android:id="@+id/action_settings"
+        android:orderInCategory="100"
+        android:showAsAction="never"
+        android:title="@string/action_settings"/>
+
+</menu>
Index: TibisayMovil/res/values/strings.xml
===================================================================
--- TibisayMovil/res/values/strings.xml	(revision 6638d339b870a0a8e9791060f54626869cd3e2c1)
+++ TibisayMovil/res/values/strings.xml	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -103,4 +103,11 @@
     <string name="title_activity_tibisay_movil">TibisayMovil</string>
     <string name="title_activity_downloader">Tibisay Móvil</string>
+    <string name="share_pdf_signed">Archivo Firmado</string>
+    <string name="share_bdoc_downloaded">Archivo BDOC Descargado</string>
+    <string name="share_extracted_file_from_bdoc">Archivo Extraído de BDOC</string>
+    <string name="title_activity_file_to_share">FileToShareActivity</string>
+    
+    
+    <string name="share_description">Seleccione el archivo a compartir</string>
 
 </resources>
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToShareActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToShareActivity.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToShareActivity.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -0,0 +1,482 @@
+package ve.gob.cenditel.tibisaymovil;
+
+import java.io.File;
+import java.text.SimpleDateFormat;
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.Date;
+
+import ve.gob.cenditel.tibisaymovil.R;
+import android.app.Activity;
+import android.app.AlertDialog;
+import android.content.DialogInterface;
+import android.content.Intent;
+import android.graphics.drawable.Drawable;
+import android.net.Uri;
+import android.os.Bundle;
+import android.os.Environment;
+import android.util.Log;
+import android.view.LayoutInflater;
+import android.view.View;
+import android.view.ViewGroup;
+import android.view.View.OnClickListener;
+import android.view.Window;
+import android.webkit.MimeTypeMap;
+import android.widget.AdapterView;
+import android.widget.ArrayAdapter;
+import android.widget.BaseAdapter;
+import android.widget.ImageView;
+import android.widget.LinearLayout;
+import android.widget.ListView;
+import android.widget.RadioButton;
+import android.widget.TextView;
+import android.widget.AdapterView.OnItemClickListener;
+import android.widget.Toast;
+
+public class FileToShareActivity extends Activity implements OnItemClickListener, OnClickListener {
+
+	private File cwd;
+    private File selected;
+    private FileBrowserView viewHolder;
+    private FileListAdapter listAdapter;
+    private String filterMImeType = "application/pdf";
+    
+    // cadena que mantiene la ruta del archivo a compartir
+    private String fileToShare = null;
+
+	@Override
+	protected void onCreate(Bundle savedInstanceState) {
+		//Estilando la barra de titulo
+		final boolean customTitleSupported = requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
+
+		super.onCreate(savedInstanceState);
+		
+		this.viewHolder = new FileBrowserView();	
+
+        if (savedInstanceState != null) {
+        	if(savedInstanceState.getString("selected") != null)
+        		this.selected = new File(savedInstanceState.getString("selected"));
+
+            if (this.selected != null) {
+            	
+            	FileToShareActivity.this.updateButton
+            	(FileToShareActivity.this.viewHolder.accept,true);
+
+            }
+            
+            this.cwd = new File(savedInstanceState.getString("cwd"));
+            this.viewHolder.fileList.setAdapter(this.listAdapter = new FileListAdapter(this.cwd.getAbsolutePath(), filterMImeType));
+            
+        } else {
+            this.selected = null;
+            //this.viewHolder.fileList.setAdapter(this.listAdapter = new FileListAdapter());
+            
+            // obtener la ruta donde se debe parar el listAdapter
+            
+            Bundle bundle = getIntent().getExtras();
+    		String path = bundle.getString("path");
+    		
+    		if (path.equals("archivoFirmado")){
+    			
+    			String signedDirFiles = Environment.getExternalStorageDirectory() + "/" +
+      			getResources().getString(R.string.app_name) + "/" +
+      			getResources().getString(R.string.external_dir_files) + "/";
+    			
+    			this.viewHolder.fileList.setAdapter(this.listAdapter = new FileListAdapter(signedDirFiles, filterMImeType));
+    		}
+
+    		if (path.equals("bdocDescargado")){
+    			String downloadedDirFiles = Environment.getExternalStorageDirectory() + "/" +
+      			getResources().getString(R.string.app_name) + "/" +
+      			getResources().getString(R.string.downloaded_dir_files) + "/";
+    			this.viewHolder.fileList.setAdapter(this.listAdapter = new FileListAdapter(downloadedDirFiles, filterMImeType));
+    		}
+
+    		if (path.equals("extraidoDeBdoc")){
+    			String extractedDirFiles = Environment.getExternalStorageDirectory() + "/" +
+      			getResources().getString(R.string.app_name) + "/" +
+      			getResources().getString(R.string.extracted_dir_files) + "/";
+    			this.viewHolder.fileList.setAdapter(this.listAdapter = new FileListAdapter(extractedDirFiles, filterMImeType));
+    		}
+
+            
+        }
+        
+        
+        boolean enabled = false;
+        if (this.selected != null)
+        	enabled = this.viewHolder.accept.isEnabled();
+        
+        FileToShareActivity.this.updateButton
+        (FileToShareActivity.this.viewHolder.accept,enabled);
+        
+        //Estilando Barra de titulo
+		if(customTitleSupported)
+			getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_bar);
+	}
+
+	
+    /**
+     * Provides the data to be shown in the file browser ListView.
+     *
+     * @author José M. Prieto (jmprieto@emergya.com)
+     */
+    private class FileListAdapter extends BaseAdapter {
+
+        private final ArrayList<File> directories;
+        private final ArrayList<File> files;
+
+        private FileListAdapter() {
+            this("/",filterMImeType);
+        }
+
+        private FileListAdapter(String location) {
+            this(location, "");
+        }
+        
+        private FileListAdapter(String location, String filterMimeType) {
+        	
+            directories = new ArrayList<File>();
+            files = new ArrayList<File>();
+            
+            //Obtiene etiqueta que se colocará antes del path que visualizará el usuario
+        	String toPathText = FileToShareActivity.this.getString(R.string.pathstring)+":   ";
+        	//Coloca el texto de la etiqueta en la vista
+        	FileToShareActivity.this.viewHolder.pathString.setText(toPathText);
+        	//Coloca el texto con el path actual
+        	FileToShareActivity.this.viewHolder.path.setText(location);
+        	//Crea un objeto file cwd con la ubicacion dada en location
+            FileToShareActivity.this.cwd = new File(location);
+            //Obtiene el directorio padre del objeto file cwd
+            File parent = FileToShareActivity.this.cwd.getParentFile();
+            //Si tiene un padre, lo agrega en la posición cero de la lista de directorios  
+            
+            if (parent != null) {
+                directories.add(0, parent);
+            }
+            
+            //Crea un arreglo con las lista de archivos contenidos en el directorio cwd
+            File[] ls = FileToShareActivity.this.cwd.listFiles();
+            if (ls != null) {
+                for (File f : ls) { //recorre todos los archivos contenidos en el directorio
+                	
+                    if (FsUtils.isHiddenOrNotReadable(f)) { // Si son ocultos no hace nada
+                        continue;
+                    }
+                  // Si son directorios los agrega a la lista de directorios a partir de la posición 1
+                  // En la posición 0 se encuentra el directorio padre  
+                    if (f.isDirectory()) {
+                        directories.add(f);
+                    } else // De lo contrario lo agrega a la lista de archivos 
+                    	{
+                    	//Valida tipo de archivo a mostrar
+                        Uri selectedUri = Uri.fromFile(f);
+                        String fileExtension = MimeTypeMap.getFileExtensionFromUrl(selectedUri.toString());
+                        String mimeType = MimeTypeMap.getSingleton().getMimeTypeFromExtension(fileExtension);
+                          
+//                          Toast.makeText(FileToShareActivity.this,
+//                          "FileExtension: " + fileExtension + "\n" +
+//                          "MimeType: " + mimeType,
+//                          Toast.LENGTH_LONG).show();
+                        
+                                                  
+                        //Filtra por mimeType: se consideran los pdf y los bdoc
+                        if(filterMimeType.isEmpty() || filterMimeType == mimeType || fileExtension.equals("bdoc"))                        
+                            files.add(f);
+                        	
+                    }
+                }
+            }
+
+            Collections.sort(directories); // Ordena los directorios alfabeticamente
+            Collections.sort(files); // Ordena los archivos alfabeticamente
+        }
+       
+        /**
+         * Retorna cantidad total de elementos que se listarán en el directorio.
+         */
+        @Override 
+        public int getCount() {
+        	
+            return directories.size() + files.size();
+            
+        }
+
+        /**
+         * Dada una posición en el listado del directorio, retorna un archivo o directorio
+         * según corresponda.
+         */
+        @Override
+        public File getItem(int position) {
+
+            if (position < directories.size()) {
+                return directories.get(position);
+            } else {
+                return files.get(position - directories.size());
+            }
+        }
+
+        /**
+         * Retorna un código hash para el archivo, permite comparar si dos archivos son los mismos
+         */
+        @Override
+        public long getItemId(int position) {
+
+            return getItem(position).hashCode();
+        }
+        
+        /**
+         * Crea la visualización de cada item del fileBrowser
+         */
+        @Override
+        public View getView(int position, View convertView, ViewGroup parent) {
+
+        	//Crea la vista de cada fila del filebrowser a partir del layout
+            if (convertView == null) {
+                LayoutInflater inflater = LayoutInflater.from(FileToShareActivity.this);
+                convertView = inflater.inflate(R.layout.file_to_verify_bdoc_signature_item, parent, false); 
+            }
+            
+            // Se enlaza a cada componente del layout 
+            ImageView image = (ImageView) convertView.findViewById(R.id.type_image);
+            TextView fileName = (TextView) convertView.findViewById(R.id.filename_text);
+            TextView modified = (TextView) convertView.findViewById(R.id.filename_modified);
+            
+            // Se obtiene el archivo ubicado en position
+        	File file = getItem(position);
+        	
+        	//RadioButton
+            RadioButton radio = (RadioButton) convertView.findViewById(R.id.file_radio);
+            radio.setFocusable(false);
+            
+            // Se asignan los iconos según el tipo de archivo y se oculta el radio en los directorios
+            if (file.isDirectory()) {
+                image.setImageResource(R.drawable.ic_carpeta);
+                radio.setVisibility(View.INVISIBLE);
+                radio.setChecked(false);
+            } else {
+                image.setImageResource(R.drawable.ic_archivo);
+                radio.setVisibility(View.VISIBLE);
+                
+                if (FileToShareActivity.this.selected == null ||
+	            	FileToShareActivity.this.selected.hashCode() != file.hashCode()){
+	            		radio.setChecked(false);
+            	} else{
+            		radio.setChecked(true);
+            	}         
+            }
+
+            // Si es el directorio que hace referencia al padre le coloca como nombre ".."
+            if (file.isDirectory() && position == 0 && ! "/".equals(FileToShareActivity.this.cwd.getAbsolutePath())) {
+                fileName.setText("..");
+            } else {
+                fileName.setText(file.getName());
+            }
+ 
+            
+            //Datos de modificación del archivo
+            SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
+            Date date = new Date(file.lastModified());
+            
+            String dateString = FileToShareActivity.this.getString(R.string.modified)+": ";
+            if (file.lastModified()>0)
+            	modified.setText(dateString+sdf.format(date));
+            else
+            	modified.setText(dateString+"-");
+            
+            return convertView;
+        }
+        
+        /**
+         * Controla la selección de cada item del fileBrowser
+         */
+        public void select(ListView parent, int position) {
+
+            File item = getItem(position);
+            //Si es un directorio el seleccionado se hace un llamado del fileBrowser del directorio
+            if (item.isDirectory()) {
+                parent.setAdapter(FileToShareActivity.this.listAdapter = new FileListAdapter(item.getAbsolutePath(), filterMImeType));
+            } else { // Si es un archivo
+            	
+        		//Se agrega el archivo a la lista de seleccionados si no se encuentra en la misma            	
+            	if (FileToShareActivity.this.selected == null || 
+            		FileToShareActivity.this.selected.hashCode() != item.hashCode()){
+            		
+            		FileToShareActivity.this.selected = item;
+            		
+            		FileToShareActivity.this.updateButton(FileToShareActivity.this.viewHolder.accept,true);  		
+            		            		
+            	}
+            	else{ // De lo contrario se elimina de la lista de seleccionados
+                	
+            		FileToShareActivity.this.selected = null;             		
+                	FileToShareActivity.this.updateButton(FileToShareActivity.this.viewHolder.accept,false);
+                	               	
+                }
+                notifyDataSetChanged();
+           }
+        }       
+    }    
+
+
+    
+    
+    @Override
+    protected void onSaveInstanceState(Bundle outState) {
+        super.onSaveInstanceState(outState);
+
+        outState.putParcelable("intent", this.getIntent());
+        outState.putString("cwd", this.cwd.getAbsolutePath());
+        if(this.selected != null)
+        	outState.putString("selected", this.selected.getAbsolutePath());
+        
+        }
+    
+    private void updateButton(View v, boolean bool) {
+    	try{
+
+        	v.setEnabled(bool);
+        	if (v instanceof TextView){
+        		Drawable icon = ((TextView)v).getCompoundDrawables()[1];
+        		if (icon!=null)
+        		if (bool)
+        	   		icon.setAlpha(255);
+        	   	else
+        	   		icon.setAlpha(127);	
+        	}
+        	if (v instanceof ImageView){
+        		ImageView result = (ImageView) v;
+        		if (bool)
+        			result.setAlpha(255);
+        	   	else
+        	   		result.setAlpha(127);	
+        	}
+        
+    	}catch(NullPointerException e){}
+	   		
+	}
+    
+    private void updateButton(LinearLayout layout, boolean bool) {
+    	try{
+    	layout.setEnabled(bool);
+        for (int i=0; i<layout.getChildCount();i++){
+        	this.updateButton(layout.getChildAt(i), bool);
+        }
+    	}catch(NullPointerException e){}
+	   		
+	}
+
+	
+	
+	/**
+     * Holds references to view objects.
+     *
+     * @author José M. Prieto (jmprieto@emergya.com)
+     */
+    private class FileBrowserView {
+
+        public ListView fileList;
+        public TextView path;
+        public LinearLayout accept;
+		public LinearLayout clear;
+        public TextView pathString;
+
+        public FileBrowserView() {
+
+            setContentView(R.layout.activity_file_to_share);
+            this.path = (TextView) findViewById(R.id.path);
+            this.pathString = (TextView) findViewById(R.id.pathstring);
+
+            this.fileList = (ListView) findViewById(R.id.file_list);
+            this.fileList.setOnItemClickListener(FileToShareActivity.this);
+            this.fileList.setItemsCanFocus(true);
+         
+            
+            this.clear = (LinearLayout) findViewById(R.id.button_clear_zone);
+            this.clear.setOnClickListener(FileToShareActivity.this);
+            
+            this.accept = (LinearLayout) findViewById(R.id.button_accept_zone);
+            this.accept.setOnClickListener(FileToShareActivity.this);
+
+        }
+    }
+    
+	@Override
+    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
+    	
+    	
+        if (parent.getId() == R.id.file_list) { // user selects a file
+            this.listAdapter.select((ListView) parent, position);
+            
+        } else { // user de-selects a file
+            //this.listAdapter.addIfSameDirectory(selectedAdapter.doUnselect((ListView) parent, position));
+        	
+        }
+        //this.viewHolder.numSelected.setText(Integer.toString(this.selected.size()));
+    }
+
+    @Override
+    public void onClick(View v) {
+
+        switch (v.getId()) {
+
+        
+        case R.id.button_clear_zone:
+        	
+        	this.selected = null;
+        	this.listAdapter.notifyDataSetChanged();
+
+        	//this.viewHolder.numSelected.setText(""+this.selected.size());
+            this.updateButton(this.viewHolder.accept, false);
+        	break;        	
+        
+
+        
+	    case R.id.button_accept_zone:
+	    	
+	    	// lanzar intent para compartir el archivo seleccionado
+	    	fileToShare = FileToShareActivity.this.selected.getAbsolutePath();
+	    	
+	    	Toast.makeText(getApplicationContext(), "FileToShareActivity: "+fileToShare, Toast.LENGTH_SHORT).show();
+	    	
+	    	
+	    	
+	    	// Crear directorio DownloadedFiles donde se almacenan los archivos descargados
+			// desde un servidor para verificar su firma
+			//String downloadedDirFiles = Environment.getExternalStorageDirectory() + "/" +
+  			//getResources().getString(R.string.app_name) + "/" +
+  			//getResources().getString(R.string.downloaded_dir_files) + "/";
+	    	
+			//String extractedDirFiles = Environment.getExternalStorageDirectory() + "/" +
+  			//getResources().getString(R.string.app_name) + "/" +
+  			//getResources().getString(R.string.extracted_dir_files) + "/";
+			
+			//Toast.makeText(getApplicationContext(), "downloadedDirFiles: " + downloadedDirFiles, Toast.LENGTH_SHORT).show();
+			//Toast.makeText(getApplicationContext(), "extractedDirFiles: " + extractedDirFiles, Toast.LENGTH_SHORT).show();
+	    	
+	    	shareIt();
+	    						
+	    	break;        	
+    	
+        }
+    }
+    
+	
+	// funcion para compartir el archivo
+	private void shareIt() {
+		
+		Intent shareIntent = new Intent();
+		shareIntent.setAction(Intent.ACTION_SEND);
+		File file = new File(fileToShare);
+		
+		
+		Uri uri = Uri.fromFile(file);
+		Log.i("DEBUG", file.getPath());
+		//Log.d("******", getMimeType(file.getPath()));
+		//shareIntent.setDataAndType(uri, getMimeType(file.getPath()));
+		shareIntent.putExtra(Intent.EXTRA_STREAM, uri);
+		shareIntent.setType("application/*");
+		startActivity(Intent.createChooser(shareIntent, getResources().getText(R.string.share_it_using)));
+	}
+}
+
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 5147e01ef6b57357ac2f55dc1dbe8879268a1a88)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
@@ -52,4 +52,6 @@
 		final AlertDialog sign_dialog = makeSignatureOptionsDialog();
 		
+		//Crear dialogo de opciones para compartir archivo
+		final AlertDialog share_dialog = makeShareOptionsDialog();
 			
 		
@@ -99,4 +101,11 @@
 				}
 				
+				// seleccion de compartir archivo
+				if (function.equals(getString(R.string.compartir))){
+					Toast.makeText(context, "Compartir Archivo", duration).show();
+					share_dialog.show();
+				
+				}
+				
 			}
 		}); //setOnItemClickListener
@@ -154,4 +163,12 @@
 	}
 	
+	private void shareFile(String path){
+		Intent intent = new Intent(this, FileToShareActivity.class);
+		
+		intent.putExtra("path", path);
+		
+		startActivity(intent);
+	}
+	
 	//Crea dialogo de opciones para firma electronica
 	public AlertDialog makeSignatureOptionsDialog() {
@@ -187,3 +204,39 @@
 		return builder.create();
 	}
+	
+	//Crea dialogo de opciones para firma electronica
+	public AlertDialog makeShareOptionsDialog() {
+		final String[] option = new String[] {getString(R.string.share_pdf_signed), 
+				getString(R.string.share_bdoc_downloaded), getString(R.string.share_extracted_file_from_bdoc) };
+		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
+		        android.R.layout.select_dialog_item, option);
+		AlertDialog.Builder builder = new AlertDialog.Builder(this);
+		
+		builder.setTitle(getString(R.string.seleccione_opcion));
+		builder.setAdapter(adapter, new DialogInterface.OnClickListener() {
+		
+		  public void onClick(DialogInterface dialog, int which) {
+			  
+			  switch (which) {
+			case 0: // Archivo Firmado
+				Log.i("DEBUG", "antes de activity call");
+				shareFile("archivoFirmado");
+				break;
+			case 1: // Archivos BDOC Descargados
+				shareFile("bdocDescargado");
+				break;
+			case 2: // Archivos extraídos de BDOC
+				shareFile("extraidoDeBdoc");
+				break;
+
+			default:
+				break;
+			}
+		  }
+		  
+		});	
+		
+		return builder.create();
+	}
+	
 }
